post

/v4/internal/payload/gnosis

Analyse the campaigns created by a future transaction. For large Safe files (>50 campaigns), consider splitting into multiple requests.

Request body

object
chainIdstring
required
Chain ID where the campaign is deployed
transactionsobject[]
required
contractInputsValuesobject | null
newCampaignstring
post
https://api.merkl.xyz/v4/internal/payload/gnosis
Merkl API
curl -X POST "https://api.merkl.xyz/v4/internal/payload/gnosis" \
  -H "Content-Type: application/json" \
  -d '{ "chainId": "string", "transactions": [ { "contractInputsValues": { "newCampaign": "string" } } ] }'
Current params
{
  "body": {
    "chainId": "string",
    "transactions": [
      {
        "contractInputsValues": {
          "newCampaign": "string"
        }
      }
    ]
  }
}
Live request — this will call https://api.merkl.xyz/ for real.